Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 406791 - Please upgrade F-7 to a version which knows the Encoding entry is deprecated
Summary: Please upgrade F-7 to a version which knows the Encoding entry is deprecated
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: desktop-file-utils
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F7Update
TreeView+ depends on / blocked
 
Reported: 2007-11-30 18:41 UTC by Hans de Goede
Modified: 2008-05-01 09:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-01 09:33:31 UTC


Attachments (Terms of Use)
Do not error on missing encoding (deleted)
2007-11-30 20:56 UTC, Christopher Stone
no flags Details | Diff

Description Hans de Goede 2007-11-30 18:41:03 UTC
Hi,

Can you please upgrade the F-7 version of desktop=file-utils to a version which
knows the Encoding entry is deprecated, with the current version things get
confusing with reviews when the reviewer is using F-7 and the packager F-8, see
bug 398791 for example.

Also see:
http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-latest.html#deprecated-items

Thanks!

Comment 1 Ray Strode [halfline] 2007-11-30 18:58:05 UTC
hmm, i'm not sure.  The problem is, IIRC, the F-8 version of desktop-file-utils
is a lot more pedantic about things and may break rebuilds and such. 

Comment 2 Hans de Goede 2007-11-30 19:37:04 UTC
Maybe just patch the current version to not complain about a missing Encoding entry?


Comment 3 Ray Strode [halfline] 2007-11-30 20:05:22 UTC
sounds reasonable

Comment 4 Christopher Stone 2007-11-30 20:56:25 UTC
Created attachment 274311 [details]
Do not error on missing encoding

Quick fix, if this looks okay to you, I will go ahead and check this into CVS
and do a build.  Then all you have to do is push it.

I've tested this patch on F-7 and it looks like it works here.

Comment 5 Ray Strode [halfline] 2007-12-01 00:42:17 UTC
sure looks fine, feel free to commit and build.

Comment 6 Christopher Stone 2007-12-01 03:28:01 UTC
Built and ready to be pushed.

http://koji.fedoraproject.org/koji/taskinfo?taskID=268193

Comment 7 Fedora Update System 2007-12-03 11:47:30 UTC
desktop-file-utils-0.12-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update desktop-file-utils'

Comment 8 Ignacio Vazquez-Abrams 2008-01-29 07:50:26 UTC
New problem (desktop-file-utils-0.12-5.fc7):

+ desktop-file-install --vendor=fedora --remove-category Application
--dir=/var/tmp/xmlcopyeditor-1.1.0.6-2.fc7-root-ignacio/usr/share/applications
/var/tmp/xmlcopyeditor-1.1.0.6-2.fc7-root-ignacio/usr/share/applications/xmlcopyeditor.desktop
/var/tmp/xmlcopyeditor-1.1.0.6-2.fc7-root-ignacio/usr/share/applications/xmlcopyeditor.desktop:
missing encoding  (guessed UTF-8)
/var/tmp/xmlcopyeditor-1.1.0.6-2.fc7-root-ignacio/usr/share/applications/fedora-xmlcopyeditor.desktop:
warning: file contains key "Encoding", usage of this key is not recommended,
since it has been deprecated

So now it's adding a deprecated key, and turning around and complaining about it.

Comment 9 Hans de Goede 2008-05-01 09:33:31 UTC
Closing this as F-7 is going EOL real soon now. I guess it would be best to
unpush the update from updates-testing, as that still has issues.




Note You need to log in before you can comment on or make changes to this bug.